## org.apache.batik.script
Interface ScriptHandler

    public interface ScriptHandler

This interface must be implemented in order to call Java code from an SVG document. A ScriptHandler instance is called when a 'script' element's 'type' attribute value is 'application/java-archive' and when the manifest of the jar file referenced by the 'xlink:href' attribute contains a 'Script-Handler' entry. The value of this entry must be the classname of the ScriptHandler to call. This classes implementing this interface must have a default constructor.

Method Summary
`void` `run(org.w3c.dom.Document doc, Window win)` Runs this handler.

Method Detail

### run

    void run(org.w3c.dom.Document doc,
             Window win)

  Runs this handler. This method is called by the SVG viewer when the scripts are loaded.

  Parameters:
    `doc` - The current document.
    `win` - An object which represents the current viewer.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.